<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Forms</title>
</head>
<body>
	<header>
		<h2 align="center">Welcome to the Forms Page</h2>
	</header>

	<!-- 

	Semantic Tags are a new addition to HTML. Semantic Tags are tags which are meaningful and descriptive of the element they create. <em>,<strong> are samples of semantic tags.
	There are other semantic tags that act much like divs that are containers of elements, text and evem ptjer containers.

	The difference between a div and semantic container is that a semantic container is descriptive of the content that it contains  even without relying to a semantic id.

	Semantic Containers are preferred such as nav, main, section, header because they provide good SEO and it is much helpful and clearer for other looking at our code. 
	
	-->

	<nav>
		<ul>
			<li><a href="./index.html">Home</a></li>
			<li><a href="./table.html">Tables</a></li>
			<li><a href="../activity/contact.html">Contact</a></li>		
		</ul>
	</nav>

	<!-- 

	nav container is mostly used to contain navigation links

	main container is used to show the main content of the page 

	section container is used to show sections of a main content or a page

	-->

	<main>
		<section>
			<h2>HTML Forms</h2>
			<p>
				HTML Forms are used to gather information or data from our user and send that information to a server
			</p>
		</section>
		<section>
			<!-- 

				form tag allows us to create a form. WE can then gather data or user input from our form and submit it to a server.

				action attribute in a form allows us to submit/pass the data to the server that is given.

				label allows us to create an element that serves as a label or indicator to the input

				for attrivute allows to associate a label to particular input element by passing the id of the input element as its value.

				input tag creates an input element for user input. Input tag has many types which allows for different kinds of data ti be gathered like text, numbers, dates, etc.

				input type text allows us to create an inpute element that gathers text.	

				required attribute allows us to check if the inpute element is filled and if it is not, we cannot submit the form.

				autocomplete attribute allows us for your browser to provide suggestions to autocomplete your inputs for a better user experience.

				buttons are elements which allows us to do and interact with our page for certain tasks, type="submit" allows us to determine that the button is used to submit a form, type="reset" allows us to reset input in the form.

			-->
			<form action="https://google.com">
				<!-- full name -->
				<label for="fname">Full Name</label>
				<br>
				<input type="text" name="fullname" id="fname" required autocomplete>
				<br>
				<!-- birthdate -->
				<label for="bday">Birthdate</label>
				<br>
				<input type="date" name="birthdate" id="bday" required>
				<br>
				<!-- age -->
				<label for="ageInput">Age</label>
				<br>
				<input type="number" name="age" id="ageInput" required min="18" max="40">
				<br>
				<!-- gender -->
				<label for="genderInput">Gender:</label>
				<br>	
				<select name="gender" id="genderInput" required>
					<option value="male">Male</option>
					<option value="femail">Female</option>
					<option value="other">Other</option>
				</select>
				<br>
				<!-- radio button -->
				<label>New User</label>
				<br>
				<input type="radio" name="new_user" id="radioUser1" value="yes">
				<label for="radioUser1">Yes</label>
				<br>
				<input type="radio" name="new_user" id="radioUser2" value="no">
				<label for="radioUser2">No</label>
				<br>
				<!-- Role: -->
				<label>Role:</label>
				<br>
				<input type="checkbox" name="role1" id="roleInput1" value="developer">
				<label for="roleInput1">Developer</label>
				<br>
				<input type="checkbox" name="role2" id="roleInput2" value="manager">
				<label for="roleInput2">Manager</label>
				<br>
				<input type="checkbox" name="role3" id="roleInput3" value="supervisor">
				<label for="roleInput3">Supervisor</label>
				<br>
				<br>
				<!-- submit button -->
				<button type="submit">Submit</button>
				<!-- reset button -->
				<button type="reset">Reset</button>
			</form>
		</section>
	</main>

</body>
</html>